日本語プログラミング言語「スミレ」
===============================

## 使い方
.NET 6.0 Runtimeをインストールしてください。
https://dotnet.microsoft.com/ja-jp/download/dotnet/6.0

インストールされたかどうかを確認するためには、次のように入力して
「Microsoft.NETCore.App 6.0.xxx」の表記がリストに列挙されているかどうかを確認してください。
(6.0以外のバージョンでは動作しません)
-----
dotnet --list-runtimes
-----

インストール後、Linuxでは、次のような手順でスミレをインストールできます。
---
wget -O sumire.tgz https://sum.irelang.jp/files/core/latest.php?type=tar
tar zxvf sumire.tgz
cd sumire
echo 「こんにちは！スミレへようこそ」を出力して改行する > hello.ire
dotnet sumire.dll hello.ire
dotnet sumire.dll /e 時刻を報告
---

## 動作環境
.NET 6.0に対応する実行環境に対応しています。
Windows/Linux/macOSの各CPUで動作します。

## プログラムの実行方法

コマンドプロンプトもしくはターミナルで、次のいずれかを入力して実行します。

Windows/Linux/macOS共通
dotnet sumire.dll [プログラム名]

Windows環境のみ(コマンドプロンプト)
sumire.exe [プログラム名]

Windows環境のみ(PowerShell)
./sumire.exe [プログラム名]

詳しくは、
dotnet sumire.dll -h
と入力して使い方をご確認ください。

例文


dotnet sumire.dll /e 時刻を報告

dotnet sumire.dll -
日付を報告


## サンプルについて
「samples」フォルダにプログラム例が掲載されています。


## 文法について
文法は、プロデルと共通です。
基本的な機能も共通化されていますが、実行環境の制約により使用できる手順や種類にはプロデルと異なります。

プロデル/スミレ共通マニュアル
https://rdr.utopiat.net/docs/

## 更新履歴
* 2023/9/22  .NET 6.0版リリース(ire 1.9.1191)
* 2023/2/16  .NET 6.0版リリース(ire 1.9.1176)
* 2020/8/24  .NET Core3.1版リリース(ire 1.7.1015)
* 2018/5/9  初版リリース

Copyright(C) 2018-2023 utopiat.net